
@media only screen and (max-width: 768px) {
    /* For mobile phones: */
    body, img, h2{
      width: 100%;
      background-repeat: repeat
    }
    .contenedor {
        flex-wrap: wrap;
        width: 100%;
        flex-direction: column;
    }
    div {
        
        
        width: 100%;
    }
    div .container img
    {
        width: 100%;
        height: 100%;
    }
    nav
    {
        top: 0px;
    }
    footer a img 
    {
        width: 13%;
    }
   
}




nav {
 
    width: 100%;
    display: flex;
    position: relative;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 4;
    padding: 10px 20px;
    font-size: x-large;
    justify-content: space-evenly;
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center; /* Centra los elementos de la lista */
}

nav ul li {
    display: inline-block;
    margin: 0 10px;
}

nav ul li a {
    text-decoration: none;
    color:black;
    font-weight: bold;
    text-shadow: 0px 0px 6px rgb(244, 214, 19);
}
 #produ div a
{
    text-decoration: none;
    font-size: xx-large;
     
}

.container {
    
    
    position: relative;
    width: 100%;
    
    overflow: hidden;
    text-align: center;
}
.columna1
{
    background-size: cover;
    background-image: url(imagenes/coche.jpg);
    margin: 2%;
    height: 300px;
     background-position: bottom;
    flex-grow: 1;
    padding: 0 10px;
border-radius: 60px 60px;
  }
.columna2
{
    
    background-size: cover;
    background-position: left;
    height: 300px;
    background-repeat: no-repeat;
    background-image: url(imagenes/comple-auto.jpg);
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
   
    border-radius: 60px 60px;
    

}
.columna3
{
    background-size: cover;
    background-image: url(imagenes/lavadero-rojo.jpg);
    height: 300px;
    background-repeat: no-repeat;
    color:white;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
  
   border-radius: 60px 60px;
   
}
.columna4
{
  background-image: url(imagenes/aditivos.jpeg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: center;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
 
   border-radius: 60px 60px;

   }
.columna5
{
    background-image: url(imagenes/chapa-pintura.jpeg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: bottom;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
     
   border-radius: 60px 60px;
   
}
.columna6
{
    background-image: url(imagenes/aireacondicionado.jpg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: center;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
   
   border-radius: 60px 60px;
   overflow: hidden
  
}
.columna7
{
    background-image: url(imagenes/moto-y-bici.png);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
    
   border-radius: 60px 60px;
}
.columna8
{
    background-image: url(imagenes/barco.jpeg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: center;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
    
   border-radius: 60px 60px;
   
}
.columna9
{
    background-image: url(imagenes/industria1.jpg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: right;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
    
   border-radius: 60px 60px;
}
.columna10
{
    background-image: url(imagenes/hosteleria2.jpg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: left;
    margin: 2%;
    flex-grow: 1;
    
   border-radius: 60px 60px;
}
.columna11
{
    background-image: url(imagenes/comple-hosteleria.jpg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: center;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
    
   border-radius: 60px 60px;
}
.columna12
{
    background-image: url(imagenes/piscina.jpg);
    background-size: cover;
    height: 300px;
    background-repeat: no-repeat;
    background-position: left;
    margin: 2%;
    flex-grow: 1;
    padding: 0 10px;
    
   border-radius: 60px 60px;
}

div .columna1 h2
{
    font-size: xx-large;
    text-shadow: 3px 3px  rgb(23, 0, 128);
    color: rgb(255, 255, 255);
}
div .columna2 h4
{
    
    -webkit-text-stroke-width: 2px;
    -webkit-text-stroke-color: #ffffff;
    color: #ffffff;
    text-align: center;
    
}
div .columna3 h2
{
    
    color: white;
}

div .columna4 h2
{
    text-shadow: -3px 0 black, 0 3px black, 3px 0 black, 0 -3px black;
   font-weight: bold;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #f5ecec;
    color: white;
    display: inline-block;
}
div .columna5 h2
{
    font-weight: bold;
    
    color: white;
    text-shadow: 1px 1px 10px rgb(0, 0, 0);
}
div .columna6 h5
{
    
    color:rgb(255, 255, 255);
    text-shadow: -3px 0 black, 0 3px black, 3px 0 black, 0 -3px black;
    
    font-weight: bold;
}

div .columna6 a
{
  display: inline-block;
}
div .columna7 h2
{
    -webkit-text-stroke: 1px black;
    color: #ffffff;
    font-size: xx-large;
    font-weight: bold;
}
div .columna8 h2
{
    -webkit-text-stroke: 1px black;
    color: #ffffff;
    font-size: xx-large;
}
div .columna9 h2
{
    -webkit-text-stroke: 1px black;
    color: #ffffff;
    font-size: xx-large;
    font-weight: bold;
}
div .columna10 h2
{
    font-weight: bold;
    -webkit-text-stroke: 1px black;
    color: #ffffff;
    font-size: xx-large;
}
div .columna11 h5
{
    font-weight: bold;
    -webkit-text-stroke: 1px black;
    color: #ffffff;
   
}
div .columna12 h2
{
    font-weight: bold;
    color: #f7f2f0;
    -webkit-text-stroke: 1px black;
}


.centro
{
    text-align: center;
 
}
#resultados div div a 
{
    color: black;
    font-weight: bold;
}
 .contenedor {
    display: flex;
    margin-top: 6%;
    margin-bottom: 6%;
    
    text-align: center;
}



h2, h3
{
   
   text-align: center;
   font-size: xx-large; 
   border-radius: 20px 60px;
   size: 50%;
   
}
h1
{
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-align: center;
    color: rgb(44, 44, 242);
}

#suma {
    width: 30px;
    text-align: left;
}
input
{
display: flex;
flex-direction: column;

}
.formcliente input
{
    box-shadow:10px 10px 25px rgb(129, 174, 237)  ;
}
.form1
{
display: flex;
justify-content: center;
align-items: center;

bottom: 0;
left: 0;

align-items: center;
}
.formcliente
{
display: flex;
justify-content: center;
align-items: center;

}
form
{
border: 2px solid #ccc;
padding: 20px;
background-color: black;
background-position: left;
width: 400px;
color: wheat;
margin-bottom: 2%;
box-shadow:10px 10px 25px rgb(129, 174, 237) ;
}
.s
{
margin: 4px;
color: wheat;
display: inline-table;
box-shadow:10px 10px 25px rgb(129, 174, 237)  ;
}
.s a 
{
    color: wheat;
}
.si
{
   float: left;
   margin-bottom: 10%;
   margin-right: 10%;
}
.columna2 h2
{
    top: 20px;
}
.banner-cookies {
    position: relative;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: #fff;
    padding: 10px;
    text-align: center;
}

.banner-cookies p {
    margin: 0;
}

.banner-cookies button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}
footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    position: relative;
    bottom: 0;
}
footer a
{
    color: wheat;
}